weka.core.pmml.jaxbbindings

## Enum MISSINGVALUETREATMENTMETHOD

- java.lang.Object
- - java.lang.Enum<MISSINGVALUETREATMENTMETHOD>
  - - weka.core.pmml.jaxbbindings.MISSINGVALUETREATMENTMETHOD

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MISSINGVALUETREATMENTMETHOD>

      public enum MISSINGVALUETREATMENTMETHOD
      extends java.lang.Enum<MISSINGVALUETREATMENTMETHOD>

  Java class for MISSING-VALUE-TREATMENT-METHOD.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="MISSING-VALUE-TREATMENT-METHOD">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="asIs"/>
           <enumeration value="asMean"/>
           <enumeration value="asMode"/>
           <enumeration value="asMedian"/>
           <enumeration value="asValue"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AS_IS`
    `AS_MEAN`
    `AS_MEDIAN`
    `AS_MODE`
    `AS_VALUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MISSINGVALUETREATMENTMETHOD` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static MISSINGVALUETREATMENTMETHOD` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MISSINGVALUETREATMENTMETHOD[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AS_IS

          public static final MISSINGVALUETREATMENTMETHOD AS_IS

    - #### AS_MEAN

          public static final MISSINGVALUETREATMENTMETHOD AS_MEAN

    - #### AS_MEDIAN

          public static final MISSINGVALUETREATMENTMETHOD AS_MEDIAN

    - #### AS_MODE

          public static final MISSINGVALUETREATMENTMETHOD AS_MODE

    - #### AS_VALUE

          public static final MISSINGVALUETREATMENTMETHOD AS_VALUE

  - ### Method Detail

    - #### values

          public static MISSINGVALUETREATMENTMETHOD[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MISSINGVALUETREATMENTMETHOD c : MISSINGVALUETREATMENTMETHOD.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MISSINGVALUETREATMENTMETHOD valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static MISSINGVALUETREATMENTMETHOD fromValue(java.lang.String v)